package cv11;

public class Task {

    private Long id;

    private String title;

    private int priority;

    private boolean done;

    public Task(Long id, String title, int priority, boolean done) {
        this.id = id;
        this.title = title;
        this.priority = priority;
        this.done = done;
    }

    public Task(String title, int priority, boolean done) {
        id = null;
        this.title = title;
        this.priority = priority;
        this.done = done;
    }

    public Long getId() {
        return id;
    }

    public String getTitle() {
        return title;
    }

    public int getPriority() {
        return priority;
    }

    public boolean isDone() {
        return done;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void close() {
        done = true;
    }

    @Override
    public String toString() {
        return "Task{" + "id=" + id + ", title=" + title + ", priority=" + priority + ", done=" + done + '}';
    }
}
